AppCode 3.1.4 - "expected type after as" error

I was under the impression that version 3.1.3 introduced the ability to use "as!" in swift. However when I do this (in version 3.1.4), I get the compiler error "expected type after as".

Is there a setting of some kind that has to be enabled in order to use the swift 1.2 features?



Attachment(s):
Screen Shot 2015-03-05 at 8.41.36 PM.png
2 comments
Comment actions Permalink

Hi Michael.

This error depends on Xcode version that you use.
Please install Xcode 6.3 and set it in Appcode via Preferences -> Tools -> Xcode -> Selected Xcode

0
Comment actions Permalink

Thank you for responding, Anna. That works great.

0

Please sign in to leave a comment.